This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 758364 - LXDE does not exit within an Xephyr server
LXDE does not exit within an Xephyr server
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: lxsession (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
: Reopened
: 859571 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-29 12:04 EST by Enrique
Modified: 2015-06-29 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 859571 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Enrique 2011-11-29 12:04:24 EST
Description of problem:

 I tried LXDE within an Xephyr server, and when I click on logout nothing happens. That prevents me from running other window manager within the same Xephyr session as I wished.


Version-Release number of selected component (if applicable):

lxsession.x86_64 0:0.4.5-3.fc15
openbox.x86_64 0:3.4.11.2-8.fc15
lxde-common.noarch 0:0.5.5-0.3.20110328git87c368d7.fc15


How reproducible:
Always

Steps to Reproduce:
1.Run Xephyr:
   Xephyr :4 &
2. Run LXDE:
   export DISPLAY=:4            
   lxsession
3. Try to log out using the logout menu.
  
Actual results:

 Nothing happens


Expected results:

 I expect the LXDE session to exit.
Comment 1 Fedora End Of Life 2012-08-07 11:50:41 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Christoph Wickert 2012-09-22 05:17:19 EDT
*** Bug 859571 has been marked as a duplicate of this bug. ***
Comment 3 Christoph Wickert 2012-09-22 05:18:13 EDT
This is still present in F17 using the following packages:
lxsession-0.4.6.1-3.fc17.i686
openbox-3.5.0-6.fc17.i686

Reopening.
Comment 4 Enrique 2013-03-19 14:38:18 EDT
 Still happening in Fedora 18 with the following packages:

lxde-common-0.5.5-0.5.20110328git87c368d7.fc18.noarch
openbox-3.5.0-9.fc18.x86_64
lxsession-0.4.6.1-4.fc18.x86_64
Comment 5 Fedora End Of Life 2013-12-21 09:58:55 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 17:43:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Enrique 2014-02-17 08:46:00 EST
 Still happening in Fedora 20 with 
lxsession-0.4.6.1-6.fc20.x86_64
openbox-3.5.2-2.fc20.x86_64
lxde-common-0.5.5-0.9.20110328git87c368d7.fc20.noarch
Comment 8 Fedora End Of Life 2015-05-29 04:41:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-06-29 07:37:17 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.